This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 805941 - CVE-2012-0037 raptor: XML External Entity (XXE) attack by processing certain RDF files [fedora-all]
CVE-2012-0037 raptor: XML External Entity (XXE) attack by processing certain ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: raptor (Show other bugs)
16
All Linux
high Severity high
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-0037
  Show dependency treegraph
 
Reported: 2012-03-22 10:15 EDT by Jan Lieskovsky
Modified: 2012-07-30 18:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-30 18:27:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Backported fix (14.24 KB, patch)
2012-07-12 05:28 EDT, Jaroslav Škarvada
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2012-03-22 10:15:19 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=791296

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Jaroslav Škarvada 2012-07-12 05:28:57 EDT
Created attachment 597747 [details]
Backported fix
Comment 2 Fedora Update System 2012-07-12 05:45:42 EDT
raptor-1.4.21-12.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/raptor-1.4.21-12.fc17
Comment 3 Fedora Update System 2012-07-12 05:56:30 EDT
raptor-1.4.21-12.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/raptor-1.4.21-12.fc16
Comment 4 Fedora Update System 2012-07-12 14:59:53 EDT
Package raptor-1.4.21-12.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing raptor-1.4.21-12.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10590/raptor-1.4.21-12.fc16
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-07-30 18:27:50 EDT
raptor-1.4.21-12.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-07-30 18:29:37 EDT
raptor-1.4.21-12.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.